=== debian/changelog ===
fcitx5-chinese-addons (5.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jan 2025 13:01:47 -0500
