=== im/CMakeLists.txt ===
add_subdirectory(pinyin)
add_subdirectory(table)
