=== test/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 if (ENABLE_CLOUDPINYIN)
 add_executable(testcloudpinyin testcloudpinyin.cpp)
 target_link_libraries(testcloudpinyin Fcitx5::Core Fcitx5::Module::CloudPinyin)
-add_dependencies(testcloudpinyin cloudpinyin)
+add_dependencies(testcloudpinyin cloudpinyin copy-addon-cloudpinyin)
 endif()
 
 add_executable(testpinyinhelper testpinyinhelper.cpp)
@@ -18,13 +18,13 @@
 add_test(NAME testpinyinhelper COMMAND testpinyinhelper)
 
 add_executable(testfullwidth testfullwidth.cpp)
-target_link_libraries(testfullwidth Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
+target_link_libraries(testfullwidth Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM)
 add_dependencies(testfullwidth fullwidth fullwidth.conf.in-fmt)
 add_test(NAME testfullwidth COMMAND testfullwidth)
 
 add_subdirectory(inputmethod)
 add_executable(testchttrans testchttrans.cpp)
-target_link_libraries(testchttrans Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
+target_link_libraries(testchttrans Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM)
 add_dependencies(testchttrans chttrans chttrans.conf.in-fmt copy-addon copy-testim)
 add_test(NAME testchttrans COMMAND testchttrans)
 
@@ -40,7 +40,7 @@
 
 add_executable(testcustomphrase testcustomphrase.cpp ../im/pinyin/customphrase.cpp)
 target_compile_definitions(testcustomphrase PRIVATE "-DFCITX_CUSTOM_PHRASE_TEST")
-target_link_libraries(testcustomphrase Fcitx5::Utils LibIME::Core ${FMT_TARGET})
+target_link_libraries(testcustomphrase Fcitx5::Utils LibIME::Core)
 add_test(NAME testcustomphrase COMMAND testcustomphrase)
 
 add_executable(testsymboldictionary testsymboldictionary.cpp ../im/pinyin/symboldictionary.cpp)
