=== debian/changelog ===
fcitx5-chinese-addons (5.1.9-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:28:49 -0400

fcitx5-chinese-addons (5.1.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Migrate to Qt6.
  * debian/patches/: Dropped, not needed now.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 19:24:48 -0400
