=== gui/CMakeLists.txt ===
add_subdirectory(pinyindictmanager)
add_subdirectory(customphraseeditor)
