=== modules/chttrans/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
     set(CHTTRANS_SOURCES ${CHTTRANS_SOURCES} chttrans-opencc.cpp)
 endif()
 add_fcitx5_addon(chttrans ${CHTTRANS_SOURCES})
-target_link_libraries(chttrans Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications Boost::iostreams ${FMT_TARGET})
+target_link_libraries(chttrans Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications)
 if (ENABLE_OPENCC)
     target_link_libraries(chttrans OpenCC::OpenCC)
     if (TARGET Boost::json)
