=== modules/pinyinhelper/CMakeLists.txt ===
--- 
+++ 
@@ -8,11 +8,9 @@
 Fcitx5::Core 
 Fcitx5::Config
 LibIME::Core
-Boost::iostreams
 Fcitx5::Module::QuickPhrase
 Fcitx5::Module::Clipboard
-Pthread::Pthread
-${FMT_TARGET})
+Pthread::Pthread)
 install(TARGETS pinyinhelper DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 configure_file(pinyinhelper.conf.in.in pinyinhelper.conf.in)
 fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf.in" pinyinhelper.conf)
@@ -21,13 +19,13 @@
 
 fcitx5_export_module(PinyinHelper TARGET pinyinhelper BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS pinyinhelper_public.h INSTALL)
 
-set(PY_STROKE_VER 20121124)
+set(PY_STROKE_VER 20250329)
 set(PY_STROKE_TGT "${CMAKE_CURRENT_BINARY_DIR}/py_stroke.mb")
 set(PY_STROKE_TAR "py_stroke-${PY_STROKE_VER}.tar.gz")
 set(PY_STROKE_URL
   "http://download.fcitx-im.org/data/py_stroke-${PY_STROKE_VER}.tar.gz")
 fcitx5_download(py-stroke-download "${PY_STROKE_URL}" "${PY_STROKE_TAR}"
-  8eb128a9bfa43952e67cf2fcee1fd134c6f4cfd317bc2f6c38a615f5eb64e248)
+  c1a7ca7225d3614ab83353fc827503006a980447762018f53760425d7b5303a6)
 fcitx5_extract(py-stroke-extract "${PY_STROKE_TAR}" DEPENDS py-stroke-download
   OUTPUT ${PY_STROKE_TGT})
 install(FILES "${PY_STROKE_TGT}" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyinhelper")
