=== debian/changelog ===
fcitx5-chinese-addons (5.1.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update build-deps accordingly.

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Nov 2025 13:21:33 -0500
