=== debian/control ===
--- 
+++ 
@@ -12,17 +12,16 @@
  fcitx5-module-lua-dev,
  fcitx5-modules-dev (>= 5.1.14-4~),
  gettext,
- libboost-iostreams-dev,
  libboost-json-dev,
  libcurl4-openssl-dev | libcurl-dev,
  libfcitx5-qt6-dev,
  libfcitx5config-dev (>= 5.1.14-4~),
  libfcitx5core-dev (>= 5.1.14-4~),
  libfcitx5utils-dev (>= 5.1.14-4~),
- libime-bin (>= 1.1.11-2~),
- libimecore-dev (>= 1.1.11-2~),
- libimepinyin-dev (>= 1.1.11-2~),
- libimetable-dev (>= 1.1.11-2~),
+ libime-bin (>= 1.1.12),
+ libimecore-dev (>= 1.1.12),
+ libimepinyin-dev (>= 1.1.12),
+ libimetable-dev (>= 1.1.12),
  libopencc-dev (>= 1.1.9~),
  pkgconf,
  qt6-base-dev,
@@ -328,3 +327,4 @@
  provide better compatibility across different Linux distributions
  and desktop environments.
  .
+ This package provides the GUI tools for the builtin pinyin input method.
