=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-chinese-addons/ \
 @PACKAGE@@ANY_VERSION@(?:_dict)@ARCHIVE_EXT@
